Subject: Re: bug#61849: 29.0.60; Unable to use treesit-install-language-grammar because repo doesn't have parser.c

From: Dmitry Gutov <[email-masked]>
Date: Mon, 20 Mar 2023 22:04:41 +0200

On 20/03/2023 21:28, Eli Zaretskii wrote:
>> From: Misha Zharov<[email-masked]>
>> Date: Sun, 19 Mar 2023 22:14:44 -0700
>> Cc:[email-masked],[email-masked]
>>
>>> Please chime in to try to convince them to go back to including the
>>> generated parser files.
>> Thanks for the update.  I've now done this, but I think that it will be
>> difficult to make sure that community sticks to this standard of keeping
>> the autogenerated files in the repo.  Their arguments do have some
>> merit regarding the difficulty of resolving merge conflicts and overall
>> maintenance burden.  At the same time, having the autogenerated file
>> present is a nice QOL feature for users because it's easily reproducible.
> Bummer:
> 
>    https://github.com/DerekStride/tree-sitter-sql/issues/120#issuecomment-1476609242

Suppose the repositories remove the generated grammar files. What would 
be sufficient for us to regenerate them?

tree-sitter-sql apparently uses the tree-sitter-cli program. Would 
having it on the user's system suffice?

For a lot of developers NPM will already be installed. If the only 
remaining step will be 'npm install -g tree-sitter-cli', or dropping one 
of the pre-built binaries from 
https://github.com/tree-sitter/tree-sitter/releases into a directory on 
PATH, I think they could manage to do it once, to be used in all 
grammars which don't keep generated files in the repo.